summaryrefslogtreecommitdiffstats
path: root/utils/releasetools/01_create_tarball.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xutils/releasetools/01_create_tarball.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/utils/releasetools/01_create_tarball.sh b/utils/releasetools/01_create_tarball.sh
new file mode 100755
index 0000000..366a61e
--- /dev/null
+++ b/utils/releasetools/01_create_tarball.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+if [ $# != "1" ]
+then
+ echo "Usage: ./utils/releasetools/01_create_tarball.sh <version_tag>"
+ exit 1
+fi
+
+TAG=$1
+TARNAME="redis-${TAG}.tar"
+echo "Generating /tmp/${TARNAME}"
+git archive $TAG --prefix redis-${TAG}/ > /tmp/$TARNAME || exit 1
+echo "Gizipping the archive"
+rm -f /tmp/$TARNAME.gz
+gzip -9 /tmp/$TARNAME